Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Recyclable Class Reference

`#include <Recyclable.h>`

Inheritance diagram for ACE_Recyclable:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Recyclable (void)
| Destructor.
ACE_Recyclable_State | recycle_state (void) const
| Get the recyclable bit.
void | recycle_state (ACE_Recyclable_State new_state)
| Set the recyclable bit.
## Protected Member Functions
| ACE_Recyclable (ACE_Recyclable_State initial_state)
| Constructor.
## Protected Attributes
ACE_Recyclable_State | recycle_state_
| Our state.

## Constructor & Destructor Documentation

ACE_Recyclable::~ACE_Recyclable | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Recyclable::ACE_Recyclable | ( | ACE_Recyclable_State | initial_state | ) | `[protected]`

| Constructor.

## Member Function Documentation

ACE_INLINE void ACE_Recyclable::recycle_state | ( | ACE_Recyclable_State | new_state | ) |

| Set the recyclable bit.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Recyclable_State ACE_Recyclable::recycle_state | ( | void |  | ) | const

| Get the recyclable bit.

## Member Data Documentation

ACE_Recyclable_State ACE_Recyclable::recycle_state_`[protected]`

| Our state.

The documentation for this class was generated from the following files:

- Recyclable.h
- Recyclable.cpp
- Recyclable.inl